import xmpp_api.api.types.bot as bot_api
import xmpp_api.db.bot as bot_db


def bot_constraint_to_db(constraint: bot_api.BotConstraint) -> bot_db.BotConstraint:
    match constraint:
        case bot_api.BotDomainConstraint:
            return bot_db.BotDomainConstraint(
                domains=constraint.domains,
            )
        case _:
            # TODO: Proper exception type
            raise Exception()


def bot_constraint_from_db(constraint: bot_db.BotConstraint) -> bot_api.BotConstraint:
    match constraint:
        case bot_db.BotDomainConstraint:
            return bot_api.BotDomainConstraint(
                domains=constraint.domains,
            )
        case _:
            # TODO: Proper exception type
            raise Exception()
